bobcat (6.07.01-2) unstable; urgency=medium

  * Upload to unstable
  * Starting in version 6.07.00, the FBB::Arg::None enum was renamed to
    FBB::Arg::NoArg and reverse-dependencies using the enum value must be
    patched in order to build against this version.
    The known affected packages have been tagged with usertags:
      User: bobcat@packages.debian.org; tag:  bobcat-noarg-enum
    See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1098999.

 -- tony mancill <tmancill@debian.org>  Mon, 03 Mar 2025 19:49:00 -0800

bobcat (6.07.01-1) experimental; urgency=medium

  * Upstream repaired an inconsistency in the return-type specification
    of the FileSystem::removeAll() member.
    This fixes a FTBFS on 32-bit architectures.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 28 Jan 2025 10:35:04 +0100

bobcat (6.07.00-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream release 6.07.00
    - Added new classes: FileSystem, FileClock,
        HighResolutionClock, SteadyClock, SystemClock.
    - FBB::Arg::None enum renamed to FBB::Arg::NoArg
  * Updated control and copyright.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 10 Jan 2025 09:33:01 +0100

bobcat (6.06.02-1) unstable; urgency=medium

  * Upstream version 6.06.02 repaired missing newline insertion by Log objects
    when inserting std::end.
  * Removed the nmapbuf-xsgetn-cc.patch: patched in the upstream version.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 20 Sep 2024 15:34:15 +0200

bobcat (6.06.01-1) unstable; urgency=medium

  [ Frank B. Brokken ]
  * New upstream release (6.06.01) addresses errata in 6.06.00 release.
  * New upstream release (6.06.00) adds classes Mmapbuf, ImmapStream,
    OmmapStream and IOmmapstream using mmap(2) for file I/O.
  * New upstream release (6.05.00) build-depends on icmake >= 12.00.00
    to enable single precompiled headers and multi-threaded compilation.
  * The Standards-Version was updated to 4.7.0.

  [ tony mancill ]
  * Remove George Danchev from Uploaders (Thank you George!)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 28 May 2024 10:41:04 +0200

bobcat (6.04.00-1) unstable; urgency=medium

  * New upstream release 6.04.00, adding non-hierarchical logging facilities
    to the class Log and modifying the default implementation of
    Milter::close.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 01 Dec 2023 08:51:14 +0100

bobcat (6.03.02-2) unstable; urgency=medium

  * Upload to unstable

 -- tony mancill <tmancill@debian.org>  Sun, 11 Jun 2023 16:12:42 -0700

bobcat (6.03.02-1) experimental; urgency=medium

  * Fixed a bug in the Arg class due to which optional arguments of long+short
    options were not recognized when the long option alternative was used.
  * The DateTime class constructors use the UTC time by default.
  * Several cosmetic changes to man-pages.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 29 May 2023 12:57:34 +0200

bobcat (6.03.01-1) experimental; urgency=medium

  [ Frank B. Brokken ]
  * New upstream release 6.03.01
  * New classes 'Proc, IFdBufS' and 'IFdStreamS' were added.
  * OFdBuf received a new member 'warn'.
  * 'Pipe' received new members 'reset'.
  * Several man-pages were updated.
  * Refer to the upstream's changelog for details.

  [ tony mancill ]
  * Freshen years in debian/copyright

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 02 Mar 2023 09:25:58 +0100

bobcat (6.02.02-1) unstable; urgency=medium

  * Upstream accidentally included "../arg/arg" instead of <bobcat/arg>
    in the <bobcat/argconfig> header causing compilation failures. Fixed in
    the 6.02.02 upstream release.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 11 Nov 2022 20:47:45 +0100

bobcat (6.02.01-1) unstable; urgency=medium

  * New upstream release uses std::unique_ptr to return the memory allocated
    by Singletons to the operating system when their programs end, and updated
    some man-pages

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 11 Nov 2022 09:39:41 +0100

bobcat (6.02.00-1) unstable; urgency=medium

  * Added new class 'ECDH' implementing Elliptic Curve based Diffie-Hellman
    key exchange.
  * Updated the table* and related man-pages

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 15 Oct 2022 11:38:03 +0200

bobcat (6.01.00-2) unstable; urgency=medium

  * Upload to unstable.  Transition tracker bug #1020850.

 -- tony mancill <tmancill@debian.org>  Tue, 27 Sep 2022 19:50:54 -0700

bobcat (6.01.00-1) experimental; urgency=medium

  [ Frank B. Brokken ]
  * The HMacBuf class was modified, supporting default and move constructors
    and move assignment.
  * New major release, primarily because of openssl's upgrade to its version
    >= 3.0.5. Most classes using openssl functions required significant
    modifications, resulting in bobcat's next major release. Also, several new
    classes were added, and EncryptBuf, DecryptBuf are now deactivated, while
    Cryptbuf is deprecated. See upstream's changelog for a detailed overview
    of changes implemented in bobcat 6.00.00

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 09 Sep 2022 14:12:35 +0200

bobcat (5.11.01-1) unstable; urgency=medium

  * LDC couldn't process 0-values. Fixed in this release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 03 Jul 2022 17:27:35 +0200

bobcat (5.11.00-1) unstable; urgency=medium

  [ Frank B. Brokken ]
  * Upstream added a new class LDC (Large Digital Converter) to convert
    (large) digital value to (character) representations of freely selectable
    number systems.
  * 'debian/rules' specifies CXXFLAGS --std=c++20

  [ tony mancill ]
  * Build-Depends: Drop versioned constraints on ancient versions
    of libmilter-dev and libx11-dev.
  * Add repo and bug-database fields to debian/upstream/metadata

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 21 May 2022 17:48:19 +0200

bobcat (5.10.01-1) unstable; urgency=medium

  * Upstream repaired errors in the newly added reverse(3bobcat) manpage.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 17 Apr 2022 08:32:39 +0200

bobcat (5.10.00-1) UNRELEASED; urgency=medium

  * Upstream added the class template Reverse and 'reverse' support functions
    to allow reverse-iterations over data in range-based for-loops.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 16 Apr 2022 18:18:52 +0200

bobcat (5.09.01-2) unstable; urgency=medium

  * Upload to unstable

 -- tony mancill <tmancill@debian.org>  Mon, 23 Aug 2021 12:19:15 -0700

bobcat (5.09.01-1) experimental; urgency=medium

  * Fixed bobcat 5.09.00's DateTime's static data initialization problem.
    (version 5.09.00 was not released)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 01 Jul 2021 08:55:01 +0200

bobcat (5.09.00-1) UNRELEASED; urgency=medium

  * Upstream fixed an incorrect initialization of a DateTime static data
    member, cosmetically changed some man-pages, and removed the icmake -q
    option from the 'build' script.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 29 Jun 2021 09:50:22 +0200

bobcat (5.08.00-1) experimental; urgency=medium

  [ Frank B. Brokken ]
  * New upstream release.
  * Upstream reorganized and added new members to the Arg and ArgConfig
    classes, provided a missing DataTime::Zone member, and updated several
    man-pages.

  [ tony mancill ]
  * Update debian/gbp.conf for DEP-14 debian/latest branch

 -- tony mancill <tmancill@debian.org>  Sun, 16 May 2021 10:57:56 -0700

bobcat (5.07.03-1) experimental; urgency=medium

  [ Frank B. Brokken ]
  * New upstream version 5.07.03
    Fixes compilation errors and warnings reported by g++-11
    (Closes: #983995).

  [ tony mancill ]
  * Add debian/gbp.conf for experimental branch
  * Freshen debian/copyright

 -- tony mancill <tmancill@debian.org>  Thu, 18 Mar 2021 20:57:56 -0700

bobcat (5.07.00-1) unstable; urgency=medium

  * New upstream version added a constructor and member to CSVTable, changed
    the prototype of Arg::argPointers() (now a const member), and improved the
    content of several man-pages.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 24 Dec 2020 12:23:38 +0100

bobcat (5.06.01-1) unstable; urgency=medium

  [ Frank B. Brokken ]
  * New upstream version 5.06.01
  * Upstream extended the facilities of the class CSVTable

  [ tony mancill ]
  * Remove explicit "touch build-stamp" 'in auto-build override
  * Bump Standards-Version to 4.5.1

 -- tony mancill <tmancill@debian.org>  Sat, 12 Dec 2020 09:23:56 -0800

bobcat (5.06.00-1) unstable; urgency=medium

  * Added new class: CSVTable constructing tables row-wise
  * Added the move constructor and move assignment operators to BigInt

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 07 Dec 2020 20:59:44 +0100

bobcat (5.05.00-1) unstable; urgency=medium

  * Added new class: Config. The existing class ConfigFile should be phased
    out.
  * Added new class: Fields to get/set subfields in numbers of configurable
    number systems.
  * Reimplemented binary_search.
  * Added descriptions of the members of the tt(Arg::LongOption) class to the
    tt(Arg) man-page.
  * Fixed a bug in DateTime.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 23 May 2020 15:27:05 +0200

bobcat (5.04.01-1) unstable; urgency=medium

  * Upstream removed an erroneously included header file....

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 04 Mar 2020 14:41:26 +0100

bobcat (5.04.00-1) unstable; urgency=medium

  * New upstream release extends the facilities of the Glob and Stat classes
    so that confusion of recognized file types (caused by applying the `bitor'
    operator on standard file-type values) can be prevented.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 03 Mar 2020 21:34:15 +0100

bobcat (5.03.00-1) unstable; urgency=medium

  * New upstream release simplifies the FSA used by Pattern to a mere five
    states, adds members to the class Pipe, and prevents pipes from remaining
    open after completing child processes of Process objects.  Also, several
    man-pages were updated.
  * The man-page patch file debian/patches/manpage_typo.patch is superfluous
    and has been removed.
  * Bumped Standards-Version to 4.5.0 in debian/control

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 28 Feb 2020 17:57:40 +0100

bobcat (5.02.00-1) unstable; urgency=medium

  * New upstream release adds members to the classes Log and LogBuf

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 11 Dec 2019 11:26:15 +0100

bobcat (5.01.00-1) unstable; urgency=medium

  [ Frank B. Brokken ]
  * New upstream release added constructors to the class User and added its
    copy assignment operator; also a bug in BigInt::fromText was fixed.
  * Added debian/upstream/metadata
  * Bumped Standards-Version to 4.4.1 in debian/control

  [ tony mancill ]
  * Specify debhelper compat via debhelper-compat dependency
  * Set "Rules-Requires-Root: no" in debian/control

 -- tony mancill <tmancill@debian.org>  Sat, 30 Nov 2019 10:59:53 -0800

bobcat (5.00.03-1) unstable; urgency=low

  * New upstream release 5.00.03
    - Removed superfluous cerr statement from digestbuf/eoi.cc

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 08 Sep 2019 16:27:52 +0200

bobcat (5.00.02-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 4.4.0

 -- tony mancill <tmancill@debian.org>  Tue, 23 Jul 2019 21:36:54 -0700

bobcat (5.00.02-1) experimental; urgency=medium

  [ Frank B. Brokken ]
  * New upstream release fixes flaws in LogBuf and SyslogBuf

  [ tony mancill ]
  * Add a patch for a manpage typo.
  * Update years of copyright in debian/copyright.

 -- tony mancill <tmancill@debian.org>  Sat, 06 Jul 2019 20:36:35 -0700

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libbobcat6`.
